### Function

# Secret password_clearv_sync

#### Declaration [src]

    gboolean
    secret_password_clearv_sync (
      const SecretSchema* schema,
      GHashTable* attributes,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Remove unlocked matching passwords from the secret service.

The `attributes` should be a set of key and value string pairs.

All unlocked items that match the attributes will be deleted.

This method may block indefinitely and should not be used in user interface threads.

This function is renamed to `secret_password_clear_sync()` in language bindings

#### Parameters

`schema` | `SecretSchema`
| The schema for the attributes.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`attributes` | `GHashTable`
| The attribute keys and values.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether any passwords were removed.